Bug 1097327 - Review Request: php-mikey179-vfsstream - PHP stream wrapper for a virtual file system
Review Request: php-mikey179-vfsstream - PHP stream wrapper for a virtual fil...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pavel Alexeev
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-05-13 10:51 EDT by Remi Collet
Modified: 2014-06-27 11:27 EDT (History)
2 users (show)

See Also:
Fixed In Version: php-mikey179-vfsstream-1.2.0-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-23 21:58:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pahan: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2014-05-13 10:51:35 EDT
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/520df27b2cc6c62353c8e70f43da8790d4e9b378/php/php-mikey179-vfsstream/php-mikey179-vfsstream.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-bartlett-PHP-Reflect-2.0.0-1.remi.src.rpm
Description: 
vfsStream is a PHP stream wrapper for a virtual file system that may be
helpful in unit tests to mock the real file system.

It can be used with any unit test framework, like PHPUnit or SimpleTest.

Fedora Account System Username: remi

--

This is a new BuildRequires of php-phpunit-PHPUnit-SkeletonGenerator (need to run test suite during build)

EL-5 is not targeted, old stuff will be clean after import as usually.
Comment 1 Pavel Alexeev 2014-05-15 05:26:19 EDT
 # ['/usr/bin/yum-builddep', '--installroot', '/var/lib/mock/fedora-rawhide-x86_64/root/', '--releasever', '21', '/var/lib/mock/fedora-rawhide-x86_64/root///builddir/build/SRPMS/php-bartlett-PHP-Reflect-2.0.0-1.fc21.src.rpm']
Getting requirements for php-bartlett-PHP-Reflect-2.0.0-1.fc21.src
 --> php-common-5.5.12-1.fc21.x86_64
 --> php-phpunit-PHPUnit-4.1.0-2.fc21.noarch
 --> php-phpunit-PHP-Timer-1.0.5-3.fc21.noarch
 --> php-symfony-classloader-2.4.4-1.fc21.noarch
 --> php-symfony-eventdispatcher-2.4.4-1.fc21.noarch
 --> php-symfony-finder-2.4.4-1.fc21.noarch
 --> php-symfony-console-2.4.4-1.fc21.noarch
Error: No Package found for php-PHPParser >= 1.0.0

Even in rawhide 0.9.4-1.fc21 available only.
Comment 2 Pavel Alexeev 2014-05-15 05:29:05 EDT
If it is not intended for EL-5 BuildRoot, rm -rf %{buildroot}, %defattr(-,root,root,-) and similar legacy stuff should be dropped.
Comment 3 Remi Collet 2014-05-15 07:06:10 EDT
Sorry, bad
Comment 5 Remi Collet 2014-05-15 07:08:48 EDT
(In reply to Pavel Alexeev (aka Pahan-Hubbitus) from comment #2)
> If it is not intended for EL-5 BuildRoot, rm -rf %{buildroot},
> %defattr(-,root,root,-) and similar legacy stuff should be dropped.

Yes, I usually does this after import (I'm used to build them for EL-5 in my backport repo, so I need this, and Guidelines doesn't state this is forbidden, just that this is unneeded).
Comment 6 Pavel Alexeev 2014-05-15 07:53:38 EDT
It seems package in good shape on first glance. Only php-PHPParser >= 1.0.0 required to do full review. Why you add and then remove dependency from bz#1096697?
Comment 7 Remi Collet 2014-05-15 08:17:56 EDT
There is no dependency on php-PHPParser (this hit you because previous srpm link was for another package, php-bartlett-PHP-Reflect, which need it).
Comment 8 Pavel Alexeev 2014-05-15 08:27:23 EDT
And project called vfsStream, for what you are include git username into package? Shouldn't it be just php-vfsStream or just php-vfsstream?

Wiki (https://github.com/mikey179/vfsStream/wiki) also name it vfs://Stream
Comment 9 Remi Collet 2014-05-15 08:39:54 EDT
Because there is no "naming" Guidelines yet for "composer" package.
This project is known as "mikey179/vfsStream"
See: https://github.com/mikey179/vfsStream/blob/master/composer.json

At some point we really need some Guidelines (some already proposed on php-devel@lists.fedoraproject.org), but nothing yet usable.

Of course, as there is no Guidelines, name can be discussed.
I think the php-<composer-known-name> (or php-<vendor>-<project>) is correct as it avoid name conflicts.

I have think to use:
- php-vfsstream (only project name, but conflict risk)
- php-org-bovigo-vfs (namespace)
- php-vfs-stream
etc...

I don't think there is a really "best" choice...
Comment 10 Pavel Alexeev 2014-05-15 09:33:20 EDT
Introduce new naming scheme for "composer" packages may have worth, but untill it did not happened we have only https://fedoraproject.org/wiki/Packaging:PHP#Naming_scheme for PEAR, Pecl, Channel, and Other: "Other packages should be named php-PackageName-%{version}-%{release}.%{arch}.rpm; %{arch} can be "noarch" where appropriate.".
I think we must use last until.

Furthermore not it name is not conflicted with anything and hopefully will not.
Comment 11 Remi Collet 2014-05-15 13:06:49 EDT
This package is not urgent (only required for a test suite, which is disabled for now)

I will draft the Guidelines proposal for "composer" libraries, propose it to the PHP SIG and then to the FPC.
Comment 12 Pavel Alexeev 2014-05-15 13:22:19 EDT
It seems as "proper way". So you suggest wait until it happened?
Comment 13 Remi Collet 2014-05-15 14:50:43 EDT
Yes, we can wait.

I think my proposal will include the "vendor" part, this will be consistent with lot of existing packages, php-symfony-*, php-phunit-*, php-horde-*...

But this will be discussed (and approved) with other packagers.
Comment 14 Remi Collet 2014-06-05 13:35:29 EDT
https://fedorahosted.org/fpc/ticket/434 have been approved (will be announce soon, just need to write it)

So the name "php-mikey179-vfsstream" complies with the PHP Guidelines.
Comment 16 Pavel Alexeev 2014-06-11 11:09:28 EDT
Package in good shape. Just standard note: please cleanup it on import.

Formal review:
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 55 files have unknown license. Detailed output of
     licensecheck in /home/pasha/SOFT/Review/php-mikey179-vfsstream/1097327
     -php-mikey179-vfsstream/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[x!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
     Note: Test run failed
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Test run failed
[x]: Packages must not store files under /srv, /opt or /usr/local
     Note: Test run failed
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x!]: Buildroot is not present
     Note: Buildroot: present but not needed
[x!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Test run failed
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.

Rpmlint
-------
Checking: php-mikey179-vfsstream-1.2.0-2.fc21.noarch.rpm
          php-mikey179-vfsstream-1.2.0-2.fc21.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint php-mikey179-vfsstream
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
php-mikey179-vfsstream (rpmlib, GLIBC filtered):
    php(language)
    php-date
    php-posix
    php-spl



Provides
--------
php-mikey179-vfsstream:
    php-composer(mikey179/vfsStream)
    php-mikey179-vfsstream



Source checksums
----------------
https://github.com/mikey179/vfsStream/archive/063fb10633f10c5ccbcac26227e94f46d9336f90/vfsStream-1.2.0.tar.gz :
  CHECKSUM(SHA256) this package     : 7e6c842294cb016fedcde5345da7d59adad9c2bfc6a6c1a8fa6b1776e7ef879b
  CHECKSUM(SHA256) upstream package : 7e6c842294cb016fedcde5345da7d59adad9c2bfc6a6c1a8fa6b1776e7ef879b


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1097327
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG


PACKAGE APPROVED
Comment 17 Remi Collet 2014-06-11 11:58:45 EDT
Thanks!


New Package SCM Request
=======================
Package Name: php-mikey179-vfsstream
Short Description: PHP stream wrapper for a virtual file system
Upstream URL: https://github.com/mikey179/vfsStream
Owners: remi
Branches: f19 f20 el6 epel7
InitialCC:
Comment 18 Gwyn Ciesla 2014-06-11 17:04:42 EDT
Git done (by process-git-requests).
Comment 19 Fedora Update System 2014-06-12 01:51:22 EDT
php-mikey179-vfsstream-1.2.0-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-mikey179-vfsstream-1.2.0-2.el6
Comment 20 Fedora Update System 2014-06-12 01:51:30 EDT
php-mikey179-vfsstream-1.2.0-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/php-mikey179-vfsstream-1.2.0-2.fc20
Comment 21 Fedora Update System 2014-06-12 19:35:06 EDT
php-mikey179-vfsstream-1.2.0-2.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 22 Fedora Update System 2014-06-23 21:58:15 EDT
php-mikey179-vfsstream-1.2.0-2.fc20 has been pushed to the Fedora 20 stable repository.
Comment 23 Fedora Update System 2014-06-27 11:27:23 EDT
php-mikey179-vfsstream-1.2.0-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.